# Offline Agent Version

## Uploads artifacts for an offline agent upgrade.

> Uploads artifacts for an offline agent upgrade as a multipart form. Use /offline-agent-version/{version}/stream instead.

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/offline-agent-version/{version}":{"post":{"description":"Uploads artifacts for an offline agent upgrade as a multipart form. Use /offline-agent-version/{version}/stream instead.","tags":["offline-agent-version"],"summary":"Uploads artifacts for an offline agent upgrade.","deprecated":true,"parameters":[{"schema":{"type":"string"},"description":"Agent version being uploaded","name":"version","in":"path","required":true}],"responses":{"204":{"description":"Successful upload, no content"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}}},"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","description":"Artifact archive to upload","contentMediaType":"application/octet-stream"}},"required":["file"]}}}}}}},"components":{"schemas":{"rest.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## Uploads artifacts for an offline agent upgrade.

> Uploads artifacts for an offline agent upgrade. The gzipped artifact package should be streamed directly as the http body.

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/offline-agent-version/{version}/stream":{"post":{"description":"Uploads artifacts for an offline agent upgrade. The gzipped artifact package should be streamed directly as the http body.","tags":["offline-agent-version"],"summary":"Uploads artifacts for an offline agent upgrade.","parameters":[{"schema":{"type":"string"},"description":"Agent version being uploaded","name":"version","in":"path","required":true}],"responses":{"204":{"description":"Successful upload, no content"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rest.ErrorResponse"}}}}}}}},"components":{"schemas":{"rest.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/cli-and-api/api/offline-agent-version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
